Bug 257654 - dns/knot3-lib: plist-issues
Summary: dns/knot3-lib: plist-issues
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias C. Berner
URL: http://package18.nyi.freebsd.org/data...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-08-06 10:50 UTC by Tobias C. Berner
Modified: 2021-08-10 15:22 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+
koobs: merge-quarterly?


Attachments
fix plist (564 bytes, patch)
2021-08-06 14:26 UTC, Eric Camachat
no flags Details | Diff
fix pkg-plist (1.26 KB, patch)
2021-08-06 15:09 UTC, Eric Camachat
no flags Details | Diff
fix pkg-plist (1.61 KB, patch)
2021-08-06 15:29 UTC, Eric Camachat
no flags Details | Diff
knot3 lib (1.39 KB, patch)
2021-08-09 10:44 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-08-06 10:50:43 UTC
Moin moin 

Packaging fails due to plist errors:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: include/libdnssec/digest.h
Error: Orphaned: include/libknot/dynarray.h
Error: Orphaned: include/libknot/rrtype/zonemd.h
Error: Orphaned: include/libknot/xdp.h
Error: Orphaned: lib/libknot.so.12
Error: Orphaned: lib/libknot.so.12.0.0
Error: Orphaned: lib/libzscanner.so.4
Error: Orphaned: lib/libzscanner.so.4.0.0
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: lib/libknot.so.11
Error: Missing: lib/libknot.so.11.0.0
Error: Missing: lib/libzscanner.so.3
Error: Missing: lib/libzscanner.so.3.0.0

mfg Tobias
Comment 1 Eric Camachat 2021-08-06 14:26:02 UTC
Created attachment 226988 [details]
fix plist
Comment 2 Eric Camachat 2021-08-06 15:09:58 UTC
Created attachment 226990 [details]
fix pkg-plist
Comment 3 Eric Camachat 2021-08-06 15:29:28 UTC
Created attachment 226991 [details]
fix pkg-plist
Comment 4 Leo Vandewoestijne 2021-08-09 10:44:14 UTC
Created attachment 227042 [details]
knot3 lib

My bad (again); last week I updated dns/knot3 but forgot about dns/knot3-lib.
I think I might better manage the plist in meta-master port - if that's an possible option.

@Eric your last patch is correct, however I made one to remain all in alphabetic order. So thanks for your effort.

Further I've tested the patch successfully in poudriere.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2021-08-10 01:24:34 UTC
^Triage: Reporter is committer, assign accordingly
Comment 6 commit-hook freebsd_committer 2021-08-10 15:22:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3054e0b147512cb562f9f00f561ff9576211c03b

commit 3054e0b147512cb562f9f00f561ff9576211c03b
Author:     Leo Vandewoestijne <freebsd@dns.company>
AuthorDate: 2021-08-10 15:19:23 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-10 15:20:19 +0000

    dns/knot3-lib: fix plist

    PR:                     257654
    Original version:       Eric Camachat <eric@camachat.org>

 dns/knot3-lib/pkg-plist | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)
Comment 7 Tobias C. Berner freebsd_committer 2021-08-10 15:22:38 UTC
Committed.

Thanks.